GenerateEclipseJdt (Gradle API 5.1)

Package org.gradle.plugins.ide.eclipse

## Class GenerateEclipseJdt

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.plugins.ide.api.GeneratorTask<T>
        - - org.gradle.plugins.ide.api.PropertiesGeneratorTask<Jdt>
          - - org.gradle.plugins.ide.eclipse.GenerateEclipseJdt

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `org.gradle.util.Configurable<Task>`

      public class GenerateEclipseJdt
      extends PropertiesGeneratorTask<Jdt>

  Generates the Eclipse JDT configuration file. If you want to fine tune the eclipse configuration

  At this moment nearly all configuration is done via `EclipseJdt`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from class org.gradle.plugins.ide.api.GeneratorTask

      `afterConfigured, beforeConfigured, domainObject, generator`

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GenerateEclipseJdt()` |
    `GenerateEclipseJdt​(EclipseJdt jdt)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `configure​(Jdt jdtContent)` |
    `protected Jdt` | `create()` |
    `EclipseJdt` | `getJdt()` | Eclipse JDT model that contains information needed to generate the JDT file.
    `protected org.gradle.api.internal.PropertiesTransformer` | `getTransformer()` |
    `void` | `setJdt​(EclipseJdt jdt)` |

    - ### Methods inherited from class org.gradle.plugins.ide.api.GeneratorTask

      `getIncremental, getInputFile, getInputFileIfExists, getInstantiator, getOutputFile, setInputFile, setOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getTimeout, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenerateEclipseJdt

          public GenerateEclipseJdt()

    - #### GenerateEclipseJdt

          @Inject
          public GenerateEclipseJdt​(EclipseJdt jdt)

  - ### Method Detail

    - #### create

          protected Jdt create()

      Specified by:
        `create` in class `PropertiesGeneratorTask<Jdt>`

    - #### configure

          protected void configure​(Jdt jdtContent)

      Specified by:
        `configure` in class `PropertiesGeneratorTask<Jdt>`

    - #### getTransformer

          protected org.gradle.api.internal.PropertiesTransformer getTransformer()

      Overrides:
        `getTransformer` in class `PropertiesGeneratorTask<Jdt>`

    - #### getJdt

          @Internal
          public EclipseJdt getJdt()

      Eclipse JDT model that contains information needed to generate the JDT file.

    - #### setJdt

          public void setJdt​(EclipseJdt jdt)